# Kataloge

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

Weitere Kataloge können im Bereich [Objekte ](/schnittstelle-v1.x/objektdaten/kataloge.md)gefunden werden.

## Gewerkarten

Dieser Abruf enthält die Gewerkarten, welche den Auftragspositionen zugeordnet sein können.

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/Commissioning/CraftActivities" method="get" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.1

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>" path="/openwowi/v1.1/Commissioning/CraftActivities" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningCatalog/CraftActivities" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Auftragsarten

Dieser Abruf enthält die Auftragsarten, welche den Aufträgen zugeordnet sein können.

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/Commissioning/CommissionTypes" method="get" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.1

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>" path="/openwowi/v1.1/Commissioning/CommissionTypes" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningCatalog/CommissionTypes" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Vorgangsarten

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/Commissioning/CraftProcessTypes" method="get" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.1

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>" path="/openwowi/v1.1/Commissioning/CraftProcessTypes" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.1/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningCatalog/CraftProcessTypes" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Schadensursachen

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningCatalog/DamageCauses" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Schadenssparte

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningCatalog/DamageDivisions" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Versandart

#### Version 1.2

***

## GET /openwowi/v1.2/CommissioningCatalog/CommissionNotificationMethods

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionNotificationMethodDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/CommissioningCatalog/CommissionNotificationMethods":{"get":{"tags":["OpenWowi Commissioning Catalog"],"operationId":"CommissioningCatalog_GetCommissionNotificationMethods","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionNotificationMethodDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionNotificationMethodDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Commissioning.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommissionNotificationMethodDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Enumeration für "CraftsProcessStatusId"

Bitte beachten Sie die "Hinweise zur Funktion" in "[Vorgänge](/schnittstelle-v1.x/auftragswesen/vorgaenge.md)".

| Id | Code         |
| -: | ------------ |
|  1 | Bevorstehend |
|  2 | Offen        |
|  3 | Beendet      |
|  4 | Storniert    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/auftragswesen/kataloge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
